[问题]出现不能满足的依赖关系是怎么回事

为当前最终发行版之前的所有版本提供支持
回复
aaa12369
帖子: 21
注册时间: 2006-12-13 10:14
送出感谢: 0
接收感谢: 0

[问题]出现不能满足的依赖关系是怎么回事

#1

帖子 aaa12369 » 2006-12-17 12:17

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
sun-java5-bin: 依赖: sun-java5-jre (= 1.5.0-08-0ubuntu1) 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)
头像
xiaosilent
帖子: 513
注册时间: 2006-05-09 9:59
来自: 四川成都
送出感谢: 1 次
接收感谢: 0
联系:

#2

帖子 xiaosilent » 2006-12-17 12:24

你试图安装 sun-java5-bin ,但是,在安装之前必须先安装 sun-java5-jre

你是要安装java环境么? 那么,如果仅仅安装jre请使用 sudo apt-get install sun-java5-jre 如果是jdk,把jre换成jdk就可以了。
aaa12369
帖子: 21
注册时间: 2006-12-13 10:14
送出感谢: 0
接收感谢: 0

#3

帖子 aaa12369 » 2006-12-17 12:29

可是提示无法找到软件包呀
头像
xiaosilent
帖子: 513
注册时间: 2006-05-09 9:59
来自: 四川成都
送出感谢: 1 次
接收感谢: 0
联系:

#4

帖子 xiaosilent » 2006-12-17 12:46

找不到么?

你用的是什么源?

可能是源设置有问题吧? 看看 wiki里的快速设置指南 ?
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#5

帖子 zhuqin_83 » 2006-12-17 12:53

看wiki的快速设置指南。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
aaa12369
帖子: 21
注册时间: 2006-12-13 10:14
送出感谢: 0
接收感谢: 0

#6

帖子 aaa12369 » 2006-12-18 0:03

换了源好多了谢谢
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 SuperWar3Fan » 2006-12-18 8:38

路过
回复

回到 “老旧版本支持”